curl --request POST \
--url https://platform.jobbit.uk/v1/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"state": {
"message": "Can I move my Tuesday physio session to Thursday?",
"customer": "returning"
},
"questions": {
"wants_reschedule": {
"type": "noul"
}
}
}
'import requests
url = "https://platform.jobbit.uk/v1/decisions"
payload = {
"state": {
"message": "Can I move my Tuesday physio session to Thursday?",
"customer": "returning"
},
"questions": { "wants_reschedule": { "type": "noul" } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
state: {
message: 'Can I move my Tuesday physio session to Thursday?',
customer: 'returning'
},
questions: {wants_reschedule: {type: 'noul'}}
})
};
fetch('https://platform.jobbit.uk/v1/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'state' => [
'message' => 'Can I move my Tuesday physio session to Thursday?',
'customer' => 'returning'
],
'questions' => [
'wants_reschedule' => [
'type' => 'noul'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.jobbit.uk/v1/decisions"
payload := strings.NewReader("{\n \"state\": {\n \"message\": \"Can I move my Tuesday physio session to Thursday?\",\n \"customer\": \"returning\"\n },\n \"questions\": {\n \"wants_reschedule\": {\n \"type\": \"noul\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.jobbit.uk/v1/decisions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"state\": {\n \"message\": \"Can I move my Tuesday physio session to Thursday?\",\n \"customer\": \"returning\"\n },\n \"questions\": {\n \"wants_reschedule\": {\n \"type\": \"noul\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.jobbit.uk/v1/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"state\": {\n \"message\": \"Can I move my Tuesday physio session to Thursday?\",\n \"customer\": \"returning\"\n },\n \"questions\": {\n \"wants_reschedule\": {\n \"type\": \"noul\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "dec-1730823000-Q1",
"usage": {
"cost": 0.00002
}
}{
"error": {
"code": "upstream_rejected",
"message": "question 'wants_reschedule' must have type noul, choice or score",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "insufficient_credits",
"message": "not enough credits to run this request",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}Make a decision
Asks a decision model to answer typed questions about a situation, instead of writing free text. The tokens used count towards the account’s tokens-per-minute budget. The body may be up to 25 MiB (gzip allowed), and a key limited to some models may only call those models.
Requires the ai permission.
curl --request POST \
--url https://platform.jobbit.uk/v1/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"state": {
"message": "Can I move my Tuesday physio session to Thursday?",
"customer": "returning"
},
"questions": {
"wants_reschedule": {
"type": "noul"
}
}
}
'import requests
url = "https://platform.jobbit.uk/v1/decisions"
payload = {
"state": {
"message": "Can I move my Tuesday physio session to Thursday?",
"customer": "returning"
},
"questions": { "wants_reschedule": { "type": "noul" } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
state: {
message: 'Can I move my Tuesday physio session to Thursday?',
customer: 'returning'
},
questions: {wants_reschedule: {type: 'noul'}}
})
};
fetch('https://platform.jobbit.uk/v1/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'state' => [
'message' => 'Can I move my Tuesday physio session to Thursday?',
'customer' => 'returning'
],
'questions' => [
'wants_reschedule' => [
'type' => 'noul'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.jobbit.uk/v1/decisions"
payload := strings.NewReader("{\n \"state\": {\n \"message\": \"Can I move my Tuesday physio session to Thursday?\",\n \"customer\": \"returning\"\n },\n \"questions\": {\n \"wants_reschedule\": {\n \"type\": \"noul\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.jobbit.uk/v1/decisions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"state\": {\n \"message\": \"Can I move my Tuesday physio session to Thursday?\",\n \"customer\": \"returning\"\n },\n \"questions\": {\n \"wants_reschedule\": {\n \"type\": \"noul\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.jobbit.uk/v1/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"state\": {\n \"message\": \"Can I move my Tuesday physio session to Thursday?\",\n \"customer\": \"returning\"\n },\n \"questions\": {\n \"wants_reschedule\": {\n \"type\": \"noul\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "dec-1730823000-Q1",
"usage": {
"cost": 0.00002
}
}{
"error": {
"code": "upstream_rejected",
"message": "question 'wants_reschedule' must have type noul, choice or score",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "insufficient_credits",
"message": "not enough credits to run this request",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}Authorizations
An API key from Settings → API keys, sent as Authorization: Bearer jb_live_…
Body
Fields not listed here are passed to the decision model.
Any JSON: the situation the decision is about. It must be present.
The questions to answer, by name. Each has a type of noul, choice or score; other fields of a question are defined by the decision model and passed through.
Show child attributes
Show child attributes
A decision model id from GET /v1/decisions/models. Defaults to the platform's decision model.